Bug 269207 - Add screen management actions to window context menus
Summary: Add screen management actions to window context menus
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: 4.9.0
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: 4.10
Assignee: Martin Flöser
URL: https://git.reviewboard.kde.org/r/106...
Keywords:
: 223105 (view as bug list)
Depends on: 296056
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-23 09:23 UTC by Anders Lund
Modified: 2012-08-18 07:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Lund 2011-03-23 09:23:32 UTC
Version:           0.2 (using KDE 4.6.1) 
OS:                Linux

When multiple monitors is available, kwin have actions to move windows between them. It would be cool if they were dynamically available in the window context menus, including the taskbar button context menus. That way the user could become aware of theese actions.

Need I file a separate issue for the taskbar?

Reproducible: Didn't try




OS: Linux (i686) release 2.6.37-ARCH
Compiler: gcc
Comment 1 Martin Flöser 2012-03-15 08:32:34 UTC
*** Bug 223105 has been marked as a duplicate of this bug. ***
Comment 2 Martin Flöser 2012-03-15 08:33:28 UTC
dev note: this should also be made available in libtaskmanager.
Comment 3 Martin Flöser 2012-08-17 20:38:56 UTC
Review Request is just for KWin. Adding to the tasks manager is unfortunately not trivial as important information is lacking (e.g. the screen).
Comment 4 Thomas Lübking 2012-08-17 20:55:25 UTC
There's no screen concept in NETWM (surprise)

The taskbar will have to do a geometry comparism (and map geometries when setting the screen) but it's likely better to move that into KWindowInfo / KWindowSystem for frameworks.
Comment 5 Martin Flöser 2012-08-18 06:24:51 UTC
yes, that's why I discarded my started changes in the lib again. I realized it needs to be done properly and that has (unfortunately) to wait for Frameworks 5
Comment 6 Martin Flöser 2012-08-18 07:45:47 UTC
Git commit 1739330fa5cf7bc074af16acb8214e1cec4e53f2 by Martin Gräßlin.
Committed on 17/08/2012 at 22:32.
Pushed by graesslin into branch 'master'.

Adding a screen menu to the Client's useraction menu

New "Move To Screen" menu is shown after the "Move To Desktop"
menu if there are multiple screens and the window can be moved
to another screen. Menu contains one radio button for each
screen.

Selecting an entry sends the Client to the selected screen.
FIXED-IN: 4.10
REVIEW: 106065

M  +69   -0    kwin/useractions.cpp
M  +1    -0    kwin/workspace.cpp
M  +4    -0    kwin/workspace.h

http://commits.kde.org/kde-workspace/1739330fa5cf7bc074af16acb8214e1cec4e53f2